* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
  height: 100%;
}

body {
    display: flex;
    flex-direction: column;
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.container {
    max-width: 90%;
    /* min-height: 100%; */
    margin: 20px auto;
    width: 100%;
    display: flex;
}

.header {
    flex: 1 0 auto;
    background-color: white;
    align-self: center;
    /* min-height: 100px; */
    max-height: 200px;
    width: 100%;
    border-radius: 12px;
    display: flex;
}

.header img {
    border-radius: 12px;
    width: 100%;
    object-fit: cover;
}

main {
    display: flex;
    flex-direction: row;
    gap: 20px;
    flex: 1 0 auto;
}

.aside {
    flex: 0 0 17%;
    align-self: flex-start;
    /* max-height: 600px; */
    min-height: 400px;
    /* background-color: violet; */
}

.aside img {
    width: 100%;
    border-radius: 12px;
    object-fit: cover;

}
.content {
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
    gap: 24px;
    min-width: 0;
}

.content-header {
    height: 70px;
    background-color: red;
    min-height: 60px;
    flex: 0 0 auto;

}

.content-items {
    justify-content: flex-start;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.content-item {
    background-color: blue;
    flex: 1 0 30%;
    min-height: 300px;
    border-radius: 12px;
    min-width: 0;
    max-width: 800px;
    max-height: 600px;

}

.content-item img {

    border-radius: 12px;
}

.footer {
    background-color: aquamarine;
    flex: 0 0 auto;
    min-height: 80px;
    max-height: 90px;
}

@media (max-width: 768px) {
    .header img{
        border-radius: 0px;
    }
    .container {
        flex: 1 0 auto;
    }
    .content-items {
        flex-wrap: wrap;
    }
    .footer {
        width: 100%;
        margin: 0;
    }
    img {
        width: 100%;
        object-fit: cover;
    }
    .content {
        max-width: 100%;
        gap: 12px;
    }
    main {
        flex-wrap: wrap;
    }
    .aside {
        flex: 1 0 auto;
        max-width: 100%;
    }
    .content-item {
        flex: 1 1 48%;
        max-width: 100%;
    }
}

@media (max-width: 425px) {
    .header img{
        border-radius: 0px;
    }
    .container {
        /* min-width: 80%; */
        width: 100%;
        /* margin: 0 auto; */
        flex: 1 0 auto;
    }
    .content-item {
        max-width: 100%;
    }
    .footer {
        width: 100%;
        margin: 0;
    }
    img {
        width: 100%;
        object-fit: cover;
    }
    .content {
        max-width: 100%;
        gap: 12px;
    }
    main {
        flex-wrap: wrap;
    }
    .aside {
        flex: 1 0 auto;
        max-width: 100%;
    }
    .content-item {
        flex: 1 0 auto;
    }
}

